gupnp_device_info_get
gupnp_root_device_get_relative_location
Gupnp Functions
PHP Manual

# gupnp_root_device_get_available

Check whether root device is available

### Description

bool gupnp_root_device_get_available ( resource `$root_device` )

Get whether or not `root_device` is available (announcing its presence).

### Parameters

`root_device`

  A root device identifier, returned by gupnp_root_device_new.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- gupnp_root_device_set_available